{
  pkgs ? import <nixpkgs> {}
}:
pkgs.buildGoModule rec {
  pname = "nomad-driver-nix2";
  version = "0.1.0";

  src = builtins.fetchGit {
    url = "https://git.deuxfleurs.fr/lx/nomad-driver-nix2";
    rev = "d13a77952cd6404fa535b3863fca0a5bf8501af5";
  };

  vendorSha256 = "sha256-EQdTxVOBRYQjg7kAB+pFJYcNwk0zlsjjJxM+EO/cK84=";

  ldflags = [
    "-X git.deuxfleurs.fr/lx/nomad-driver-nix2/nix2.pluginVersion=${version}"
  ];

  postInstall = ''
    mv $out/bin/nomad-driver-nix2 $out/bin/nix2
  '';

  meta = with pkgs.lib; {
    description = "Nomad driver to run Nix jobs";
    homepage = "https://git.deuxfleurs.fr/lx/nomad-driver-nix2";
    license = licenses.mpl20;
    platforms = platforms.linux;
  };
}
